Mail archive
alpine-user

Re: [alpine-user] /lib/modules/4.9.73-0-hardened/build missing, required by tp-smapi

From: Chloe Kudryavtsev <toast_at_toastin.space>
Date: Tue, 20 Nov 2018 17:24:14 -0500

On 11/20/2018 7:53 AM, fao_ wrote:
> Yeah. It looks like linux-hardened is still in the repositories but not
> getting any updates. I kind of assumed it'd automagically downgrade me to
> linux-vanilla (which I assume is the default kernel package?)

Yes, linux-vanilla is the default kernel.

linux-hardened is only in the 3.7 repositories. It was dropped in 3.8.

Looking at the APKBUILD for linux-vanilla, it doesn't have a "replaces"
entry, which is why you didn't get auto-downgraded, I suspect.

I would recommend replacing all of your *hardened packages with
*vanilla, and upgrading to alpine 3.9 when possible (it should be coming
out soon).


---
Unsubscribe:  alpine-user+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-user+help_at_lists.alpinelinux.org
---
Received on Tue Nov 20 2018 - 17:24:14 UTC